function CheckOthers(form)
{
	for (var i=0;i<form.elements.length;i++)
	{
		var f = form.elements[i];
//		if (e.name != 'chkall')
			if (f.checked==false)
			{
				f.checked = true;// form.chkall.checked;
			}
			else
			{
				f.checked = false;
			}
	}
}

function CheckAll(form)
{
	for (var i=0;i<form.elements.length;i++)
	{
		var r = form.elements[i];
//		if (e.name != 'chkall')
			r.checked = true// form.chkall.checked;
	}
}


function playlist(myform)
	{
		
		var strCBValue = "";		
		for (var i=0;i<myform.elements.length;i++)  //用来历遍form中所有控件,
		{
			var e = myform.elements[i];
			if (e.type == 'checkbox')				//当是checkbox时才执行下面
			{
				if(e.checked)						//当是checkbox被选取时才执行下面
				{
				   strCBValue = strCBValue + e.value+"/";					
				}
				 
			}
		}
		
		if(strCBValue=="")
		{
			alert("请选择要播放的歌曲(可多选)");
			return;
		}
		else
		{	
		    //alert(strCBValue);
			window.open("/playlist.asp?id="+strCBValue,'tao');
		}
	}
